LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
MediaTypeDetectionHelper Service Referencepublished

provides for mapping a given sequence of content identifier strings to a sequence of respective media (mime) types More...

`import"MediaTypeDetectionHelper.idl";`

Inheritance diagram for MediaTypeDetectionHelper:

## Additional Inherited Members
Public Member Functions inherited from XStringMapping
boolean | mapStrings ([inout] sequence< string > Parameter)
| provides a mapping for a given sequence of strings to a sequence of belonging strings. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides for mapping a given sequence of content identifier strings to a sequence of respective media (mime) types

Order of given and their returned corresponding strings is important. Don't pack or optimize it. Every item of [in] list must match to an item of [out] list.

The documentation for this service was generated from the following file:

- com/sun/star/frame/MediaTypeDetectionHelper.idl